sqoop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Venkat Ranganathan (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SQOOP-1198) Make Sqoop build aware of the protobuf library
Date Thu, 12 Sep 2013 18:25:52 GMT

    [ https://issues.apache.org/jira/browse/SQOOP-1198?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13765733#comment-13765733
] 

Venkat Ranganathan commented on SQOOP-1198:
-------------------------------------------

Shouldn't the protobuf version be a transient dependency for sqoop.  Even with hadoop profile
2.1.0, all components that used 2.4.1 had to change to 2.5.0 (without sqoop explicitly specifying
an explicit version) for sqoop builds/tests to work correctly
                
> Make Sqoop build aware of the protobuf library
> ----------------------------------------------
>
>                 Key: SQOOP-1198
>                 URL: https://issues.apache.org/jira/browse/SQOOP-1198
>             Project: Sqoop
>          Issue Type: Bug
>    Affects Versions: 1.4.4
>            Reporter: Jarek Jarcec Cecho
>            Assignee: Jarek Jarcec Cecho
>             Fix For: 1.4.5
>
>         Attachments: SQOOP-1198.patch
>
>
> Currently Sqoop build is using protobuf from local machine. As different Hadoop versions
are using different protobuf versions, I would suggest to make the build aware of the version
and pull in version that is required.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message